<h2 class="text-center">Add Race Results for {{leagueViewService.selectedLeague.name}}</h2>
<ng-container *ngFor="let driver of leagueViewService.allDriversFromCurrentLeagueChanged | async">
  <app-add-race-result (addedRaceResult)="loadNewestResultsToAdd()" [driver]="driver"></app-add-race-result>
</ng-container>
<div class="container">
  <div class="row">
    <div class="col">
      <hr>
      <h2 class="text-center">Added Race Results</h2>
      <div class="d-flex justify-content-center mb-4">
        <table [dataSource]="dataSource" class="mat-elevation-z8" mat-table>
          <ng-container matColumnDef="endPosition">
            <th *matHeaderCellDef mat-header-cell> End Position</th>
            <td *matCellDef="let raceResult" mat-cell> {{raceResult.endpostion}} </td>
          </ng-container>

          <ng-container matColumnDef="driver">
            <th *matHeaderCellDef mat-header-cell> Driver</th>
            <td *matCellDef="let raceResult" mat-cell> {{raceResult.driverName}} </td>
          </ng-container>

          <ng-container matColumnDef="grid">
            <th *matHeaderCellDef mat-header-cell> Grid</th>
            <td *matCellDef="let raceResult" mat-cell> {{raceResult.startposition}} </td>
          </ng-container>

          <ng-container matColumnDef="fastestLap">
            <th *matHeaderCellDef mat-header-cell> Fastest Lap</th>
            <td *matCellDef="let raceResult" mat-cell> {{raceResult.fastestLap | timePipe}} </td>
          </ng-container>

          <ng-container matColumnDef="car">
            <th *matHeaderCellDef mat-header-cell> Car</th>
            <td *matCellDef="let raceResult" mat-cell> {{raceResult.carInRace}} </td>
          </ng-container>

          <tr *matHeaderRowDef="columnsToDisplay" mat-header-row></tr>
          <tr *matRowDef="let row; columns: columnsToDisplay;" mat-row></tr>
        </table>
      </div>

      <div class="text-center">
        <button (click)="raceEditService.postRaceResults()" color="accent" mat-raised-button>Post Race Results</button>
      </div>
    </div>
  </div>
</div>
